grsecurity-3.1-4.8.6-201611082138.patch breaks your lastest NVIDIA patch

Discuss usability issues, general maintenance, and general support issues for a grsecurity-enabled system.

Moderators: spender, PaX Team

grsecurity-3.1-4.8.6-201611082138.patch breaks your lastest NVIDIA patch

Postby x14sg1 » Wed Nov 09, 2016 7:50 am

Hello,

Just wanted to let you know that grsecurity-3.1-4.8.6-201611082138.patch contains no definition for SLAB_USERCOPY which causes compile issues with your NVIDIA patch. Was your SLAB_USERCOPY stuff replaced by CONFIG_HARDENED_USERCOPY?
x14sg1
 
Posts: 137
Joined: Sun Aug 23, 2009 7:47 pm

Re: grsecurity-3.1-4.8.6-201611082138.patch breaks your lastest NVIDIA patch

Postby PaX Team » Wed Nov 09, 2016 10:14 am

the slab whitelisting mechanism based on SLAB_USERCOPY was replaced with a new API based on kmem_cache_create_usercopy which is what the nvidia shim will have to use from now on.

update: spender will provide backward compatible behaviour in grsec. nvidia should probably stop using their own kernel stacks as upstream moved to 16k ones a while ago.
PaX Team
 
Posts: 2310
Joined: Mon Mar 18, 2002 4:35 pm

Re: grsecurity-3.1-4.8.6-201611082138.patch breaks your lastest NVIDIA patch

Postby spender » Wed Nov 09, 2016 7:15 pm

Should be fixed in the latest patch.

-Brad
spender
 
Posts: 2185
Joined: Wed Feb 20, 2002 8:00 pm
Location: VA, USA

Re: grsecurity-3.1-4.8.6-201611082138.patch breaks your lastest NVIDIA patch

Postby x14sg1 » Wed Nov 09, 2016 10:27 pm

Thanks ... that works
x14sg1
 
Posts: 137
Joined: Sun Aug 23, 2009 7:47 pm


Return to grsecurity support

cron